# accessibility-checker-api

Both an "API" and (crude) web pages for retrieving automated accessibility checks 

## Setting up a password-less HTTP Proxy (prerequisite)

### Without a proxy
`docker run -d --restart=always -p 24865:24865 --name gost ginuerzh/gost -L=:24865`

### With a proxy
`docker run -d --restart=always -p 24865:24865 --name gost ginuerzh/gost -L=:24865 -F=http://my.company.tld:8080`

### With a password-protected proxy
`docker run -d --restart=always -p 24865:24865 --name gost ginuerzh/gost -L=:24865 -F=http://user:password@my.company.tld:8080`

## Running
### Windows
#### Setup
Double-click `shortcut_build.bat` once; skip if you did this earlier.
#### Executing
Double-click `shortcut_run.bat` - keep the window open while you're using it.
### Linux
#### Setup
Run `./shortcut_build.sh` once; skip if you did this earlier.
#### Executing
Run `./shortcut_run.sh` - don't interrupt the process open while you're using it.
