#
from .views import Root
from .views import Work
from .views import Details
from .views import FullList
from .views import FullLines
from .views import favicon
from .views import ApiAll
from .views import ApiDetails
from .views import ApiDetailsFull
from .views import ApiLines
from django.urls import path

urlpatterns = [
    path('favicon.ico', favicon, name='favicon'),
    path('work/<int:after>/<int:depth>/<str:hexurls>/',
         Work.as_view(), name='work'),
    path('', Root.as_view(), name='index'),
    path('all/', FullList.as_view(), name='all'),
    path('<int:pk>/', Details.as_view(), name='details'),
    path('<int:ppk>/<int:pk>/', FullLines.as_view(), name='lines'),
    path('api/', ApiAll.as_view(), name='apiall'),
    path('api/<int:pk>/', ApiDetails.as_view(), name='apidetails'),
    path('api/<int:pk>/full', ApiDetailsFull.as_view(), name='apidetailsfull'),
    path('api/<int:ppk>/<int:pk>/', ApiLines.as_view(), name='apilines'),
]
